%%%----------------------------------------------------------------------
%%% File    : cosb_sup.erl
%%% Author  : Steve Elkins <sge@pnc0d004.us.nortel.com>
%%% Purpose : 
%%% Created :  8 Oct 2000 by Steve Elkins <sge@pnc0d004.us.nortel.com>
%%%----------------------------------------------------------------------

-module(cosb_sup).
-author('sge@pnc0d004.us.nortel.com').

%%-compile(export_all).
%%-export([Function/Arity, ...]).

-behaviour(supervisor).

%% External exports
-export([start_link/0, start_link/1]).

%% supervisor callbacks
-export([init/1]).

%%%----------------------------------------------------------------------
%%% API
%%%----------------------------------------------------------------------
start_link() ->
    supervisor:start_link({local, cosb_sup}, cosb_sup, []).

start_link(_) ->
    supervisor:start_link({local, cosb_sup}, cosb_sup, []).

%%%----------------------------------------------------------------------
%%% Callback functions from supervisor
%%%----------------------------------------------------------------------

%%----------------------------------------------------------------------
%% Func: init/1
%% Returns: {ok,  {SupFlags,  [ChildSpec]}} |
%%          ignore                          |
%%          {error, Reason}   
%%----------------------------------------------------------------------
init([]) ->
    SupervisorFlags = {one_for_one, 0, 1},
    Cosb = {cosb,
	    {gen_event, start_link, [{local, cosb_em}]},
	    permanent,
	    2000,
	    worker,
	    [gen_event]},
    UdpListener = {udp_listener,
		 {udp_listener, start, [[]]},
		 permanent,
		 2000,
		 worker,
		 [udp_listener]},
    {ok,{SupervisorFlags, [Cosb, UdpListener]}}.

%%%----------------------------------------------------------------------
%%% Internal functions
%%%----------------------------------------------------------------------
