%%%----------------------------------------------------------------------
%%% File    : dshb.erl
%%% Author  : Steve Elkins <sge@pnc0d004.us.nortel.com>
%%% Purpose : 
%%% Created :  8 Oct 2000 by Steve Elkins <sge@pnc0d004.us.nortel.com>
%%%----------------------------------------------------------------------

-module(dshb).
-author('sge@pnc0d004.us.nortel.com').

%%-compile(export_all).
%%-export([Function/Arity, ...]).

-behaviour(application).

%% application callbacks
-export([start/2, stop/1]).

%%%----------------------------------------------------------------------
%%% Callback functions from application
%%%----------------------------------------------------------------------

%%----------------------------------------------------------------------
%% Func: start/2
%% Returns: {ok, Pid}        |
%%          {ok, Pid, State} |
%%          {error, Reason}   
%%----------------------------------------------------------------------
start(Type, StartArgs) ->
    case dshb_sup:start_link(StartArgs) of
	{ok, Pid} -> 
	    dshb_h:add_handler(),
	    {ok, Pid, []};
	Error ->
	    Error
    end.

%%----------------------------------------------------------------------
%% Func: stop/1
%% Returns: any 
%%----------------------------------------------------------------------
stop(State) ->
    ok.

%%%----------------------------------------------------------------------
%%% Internal functions
%%%----------------------------------------------------------------------
