%%%----------------------------------------------------------------------
%%% File    : dshb_sup.erl
%%% Author  : Steve Elkins <sge@pnc0d004.us.nortel.com>
%%% Purpose : 
%%% Created :  8 Oct 2000 by Steve Elkins <sge@pnc0d004.us.nortel.com>
%%%----------------------------------------------------------------------

-module(dshb_sup).
-author('sge@pnc0d004.us.nortel.com').

%%-compile(export_all).
%%-export([Function/Arity, ...]).

-behaviour(supervisor).

%% External exports
-export([start_link/0, start_link/1]).

%% supervisor callbacks
-export([init/1]).

%%%----------------------------------------------------------------------
%%% API
%%%----------------------------------------------------------------------
start_link() ->
    supervisor:start_link({local, dshb_sup}, dshb_sup, []).

start_link(_) ->
    supervisor:start_link({local, dshb_sup}, dshb_sup, []).

%%%----------------------------------------------------------------------
%%% Callback functions from supervisor
%%%----------------------------------------------------------------------

%%----------------------------------------------------------------------
%% Func: init/1
%% Returns: {ok,  {SupFlags,  [ChildSpec]}} |
%%          ignore                          |
%%          {error, Reason}   
%%----------------------------------------------------------------------
init([]) ->
    SupervisorFlags = {one_for_one, 0, 1},
    DshbEm = {dshb_em,
	      {gen_event, start_link, [{local, dshb_em}]},
	      permanent,
	      2000,
	      worker,
	      [gen_event]},
    {ok,{SupervisorFlags, [DshbEm]}}.

%%%----------------------------------------------------------------------
%%% Internal functions
%%%----------------------------------------------------------------------
